Установка драйвера для WI-Fi адаптера ASUS USB-AC51 в Linux

  • 07.04.2018
  • 3 410
  • 4
  • 18.03.2019
  • 1
  • 1
  • 0
Установка драйвера для WI-Fi адаптера ASUS USB-AC51 в Linux

Недавно приобрел себе Wi-Fi адаптер ASUS USB-AC51 для ПК, но оказалось, что без драйвера он работать не хочет. В итоге пришлось лезть в интернет и искать решение, которым я и хочу поделиться в этой статье.

Описание

Bus 001 Device 002: ID 0b05:17d1 ASUSTek Computer, Inc. AC51 802.11a/b/g/n/ac Wireless Adapter [Mediatek MT7610/Ralink RT2870]

Для нормальной работы устройства, необходимо скачать, скомпилировать и установить необходимый драйвер. Для этого надо проделать следующее:

Устанавливаем git и build-essential, необходимый для компиляции:

sudo apt-get install git build-essential

Клонируем себе на компьютер драйверы:

git clone https://github.com/Myria-de/mt7610u_wifi_sta_v3002_dpo_20130916.git

Согласно описанию, эти драйверы также должны подойти для следующих Wi-Fi адаптеров:

  • {USB_DEVICE(0x148F,0x7610)}, /* MT7610U Ralink VID */
  • {USB_DEVICE(0x0E8D,0x7610)}, /* MT7610U MediaTek VID / Sabrent NTWLAC */
  • {USB_DEVICE(0x13B1,0x003E)}, /* Cisco Linksys AE6000 */
  • {USB_DEVICE(0x7392,0xA711)}, /* Edimax 7711ULC/7711MAC */
  • {USB_DEVICE(0x7392,0xB711)}, /* Elecom WDC-433SU2M */
  • {USB_DEVICE(0x148F,0x761A)}, /* TP-LINK Archer T2U(H) (tested, working) */
  • {USB_DEVICE(0x148F,0x760A)}, /* TP-LINK */
  • {USB_DEVICE(0x0B05,0x17D1)}, /* ASUS USB-AC51 */
  • {USB_DEVICE(0x0B05,0x17DB)}, /* ASUS USB-AC50 */
  • {USB_DEVICE(0x0DF6,0x0075)}, /* Edimax EW-7811UTC AC600 / Sitecom WLA-3100 */
  • {USB_DEVICE(0x2001,0x3D02)}, /* D-Link DWA-171 rev B1 */
  • {USB_DEVICE(0x0586,0x3425)}, /* ZyXEL NWD6505 */
  • {USB_DEVICE(0x07B8,0x7610)}, /* AboCom AU7212 */
  • {USB_DEVICE(0x04BB,0x0951)}, /* IO DATA WN-AC433UK */
  • {USB_DEVICE(0x057C,0x8502)}, /* AVM FRITZ!WLAN USB Stick AC 430 (not working) */
  • {USB_DEVICE(0x293C,0x5702)}, /* Comcast Xfinity KXW02AAA */
  • {USB_DEVICE(0x2019,0xAB31)}, /* Planex GW-450D/GW-450D-KATANA */
  • {USB_DEVICE(0x20F4,0x806B)}, /* TRENDnet TEW-806UBH AC600 */

Переходим в папку с драйвером:

cd mt7610u_wifi_sta_v3002_dpo_20130916

Компилируем:

make

Устанавливаем драйвер:

sudo make install

Пробуем перезагрузиться, если адаптер заработал после перезагрузки, то все хорошо, если же нет, то необходимо принудительно загружать необходимый модуль для адаптера при старте ОС. Для этого, вносим правки в файл /etc/modules

sudo nano /etc/modules

Добавляем туда следующую строчку (для того, чтобы при загрузке, автоматически загружался необходимый для корректной работы адаптера ASUS USB-AC51 модуль ядра):

mt7610u_sta

Перезагружаем ПК и смотрим, заработал ли адаптер.

Была ли эта статья Вам полезна?

Комментарии к статье (4)

    • Alex

    При сборке появляется код ошибки 2

    ~/asus/11072020/mt7610u_wifi_sta_v3002_dpo_20130916$ make

    make -C tools
    make[1]: Entering directory '/home/alexziko/asus/11072020/mt7610u_wifi_sta_v3002_dpo_20130916/tools'
    gcc -g bin2h.c -o bin2h
    make[1]: Leaving directory '/home/alexziko/asus/11072020/mt7610u_wifi_sta_v3002_dpo_20130916/tools'
    /home/alexziko/asus/11072020/mt7610u_wifi_sta_v3002_dpo_20130916/tools/bin2h
    chipset = mt7610u
    cp -f os/linux/Makefile.6 /home/alexziko/asus/11072020/mt7610u_wifi_sta_v3002_dpo_20130916/os/linux/Makefile
    make -C /lib/modules/5.4.0-40-generic/build SUBDIRS=/home/alexziko/asus/11072020/mt7610u_wifi_sta_v3002_dpo_20130916/os/linux modules
    make[1]: Entering directory '/usr/src/linux-headers-5.4.0-40-generic'
    arch/x86/Makefile:147: CONFIG_X86_X32 enabled but no binutils support
    LEX scripts/kconfig/lexer.lex.c
    flex: could not create scripts/kconfig/lexer.lex.c
    make[3]: *** [scripts/Makefile.host:9: scripts/kconfig/lexer.lex.c] Error 1
    make[2]: *** [Makefile:594: syncconfig] Error 2
    make[1]: *** [Makefile:704: include/config/auto.conf.cmd] Error 2
    make[1]: Leaving directory '/usr/src/linux-headers-5.4.0-40-generic'
    make: *** [Makefile:404: LINUX] Error 2

    у меня установлена Ubuntu 20.04 (x64). Не подскажете как побороть

      • AJIekceu4

      Гуглить надо. Я вижу что упоминается binutils и flex, так что я бы попробовал установить их:

      sudo apt-get update
      sudo apt-get install binutils binutils-common flex

      И после этого попытаться еще раз запустить make

        • Alex

        binutils is already the newest version (2.34-6ubuntu1).
        binutils-common is already the newest version (2.34-6ubuntu1).
        binutils-common set to manually installed.
        flex is already the newest version (2.6.4-6.2).
        0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

        Нагуглить неполучилось, больше всего такая ошибка в гугле ассоциируется с пробелами в path, но у себя я такого не вижу.

        Может это быть как-то связано с текущей архитектурой (x64) Ubuntu 20.04, а сборка настроена на x86?
        Нужно ли в связи с этим вносить измения в Makefile?

          • AJIekceu4

          Боюсь я не компетентен в данном вопросе, поэтому не могу подсказать. Можно поискать на гитхабе другие репо с драйверами под этот адаптер, т.к. этот явно уже очень старый. Вдруг кто то уже исправил.

Добавить комментарий

Ваш адрес email не будет опубликован.

Напоминаем Вам, что Ваше сообщение будет опубликовано только после проверки администратором сайта. Обычно это занимает 1-2 рабочих дня.